Skip to main content
`Ctrl`+`K`

# ISSetType

Builds a index set, for a particular `ISType`

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISSetType(IS is, ISType method)

Collective

## Input Parameters

- is - The index set object

- method - The name of the index set type

## Options Database Key

- -is_type <type> - Sets the index set type; use `-help` for a list of available types

## Notes

See `ISType` for available types (for instance, `ISGENERAL`, `ISSTRIDE`, or `ISBLOCK`).

Often convenience constructors such as `ISCreateGeneral()`, `ISCreateStride()` or `ISCreateBlock()` can be used to construct the desired `IS` in one step

Use `ISDuplicate()` to make a duplicate

## See Also

Low-level Vector Communication, `IS`, `ISGENERAL`, `ISBLOCK`, `ISGetType()`, `ISCreate()`, `ISCreateGeneral()`, `ISCreateStride()`, `ISCreateBlock()`

## Level

intermediate

## Location

src/vec/is/is/interface/isreg.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages